seasons: Get show seasons

API: tvmaze.com:tvmaze-api
Endpoint: /shows/{id}/seasons
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 178ms

Description

Retrieve all season information for a specific show. Returns metadata about each season including season number, episode count, premiere date, and end date. Use this to understand the season structure of a show before fetching episodes.

From spec: Returns all seasons for a show.

Usage Tips

- Season 0 typically represents specials - Episode count may be 0 for unaired seasons - 'premiereDate' and 'endDate' may be null for ongoing seasons

Parameters (1)

id (integer, path, required)

Show ID

Examples (3)

Get seasons for show ID 1 curl

Demonstrates calling /shows/{id}/seasons

curl 'https://api.tvmaze.com/shows/1/seasons'
import requests

resp = requests.get("https://api.tvmaze.com/shows/1/seasons")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/seasons")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/1/seasons");
const data = await resp.json();
Get seasons for show ID 82 curl

Demonstrates calling /shows/{id}/seasons

curl 'https://api.tvmaze.com/shows/82/seasons'
import requests

resp = requests.get("https://api.tvmaze.com/shows/82/seasons")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/seasons")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/82/seasons");
const data = await resp.json();
Get seasons for show ID 2993 curl

Demonstrates calling /shows/{id}/seasons

curl 'https://api.tvmaze.com/shows/2993/seasons'
import requests

resp = requests.get("https://api.tvmaze.com/shows/2993/seasons")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/seasons")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/2993/seasons");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 04:20:57.082625 200 178ms
2026-04-16 02:44:33.549954 200 146ms
2026-04-16 01:25:30.309233 200 109ms
2026-04-15 03:15:48.365613 200 136ms
2026-04-15 01:31:15.217144 200 334ms
2026-04-15 00:34:59.289439 200 115ms
2026-04-14 03:47:11.148877 200 147ms
2026-04-14 03:40:17.600823 200 99ms
2026-04-14 02:42:39.214060 200 108ms
2026-04-12 15:26:58.706113 200 113ms
2026-04-12 13:51:46.124237 200 124ms
2026-04-12 13:12:16.308044 200 133ms
2026-04-10 02:21:13.471966 200 100ms
2026-04-10 01:03:10.383912 200 98ms
2026-04-10 00:23:49.270633 200 91ms
2026-04-09 03:22:40.755583 200 130ms
2026-04-09 02:10:35.363375 200 233ms
2026-04-09 00:19:19.703106 200 110ms
2026-03-23 10:48:14.628044 200 97ms
2026-03-23 10:16:43.803980 200 86ms
2026-03-23 09:35:39.106269 200 98ms